{
  "factory": {
    "id": "uniform-active-exchange-connector-in",
    "type": "entaxy.runtime.connector",
    "displayName": "UNIFORM :: ACTIVE :: IN",
    "parent": "abstract-service-soap-connector-in",
    "description": "Factory Uniform active exchange soap-connector-in of entaxy.runtime.connector",
    "isAbstract": false
  },
  "entaxy.runtime.connector": {
    "type": "uniform-active-exchange",
    "protocol": "uniform-active-exchange"
  },
  "fields": {
    "period": {
      "displayName": "Period",
      "description": "Period",
      "type": "String",
      "required": true,
      "group": "entaxy"
    },
    "endpointUrl": {
      "displayName": "Endpoint Url",
      "description": "Endpoint Url",
      "type": "String",
      "required": true,
      "group": "entaxy"
    }
  },
  "outputs": {
    "init": {
      "isDefault": true,
      "fields": {
        "generateLoggingKey": {
          "isHidden": false
        },
        "period": {},
        "endpointUrl": {}
      },
      "config": {
        "configurable": true,
        "fieldsConfigurableByDefault": true,
        "configurableFields": {
          "includeNames":["endpointUrl","period"],
          "includePatterns":[]
        }
      }
    }
  }
}

